Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035923
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementminoralways2017-05-04 10:182017-10-02 17:58
ReporterVictorVillarView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision0a46c1fc9fd2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035923: Wrong Business Partner filter in Purchase order Report

DescriptionWrong Business Partner filter in Purchase order Report. It appears the customers but it should only appear the vendors
Steps To ReproduceGo to Purchase Order report.
 Open the business partner filter and realize that it appears the business partners defined as customer.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098205)
collazoandy4 (developer)
2017-07-25 00:12
edited on: 2017-07-25 00:14

Test Plan
As F&B International Group Admin role
Go to Purchase Order report.
 Open the business partner filter and check that doesn't appears the business partners defined as customer.
 Select Bebidas Alegres, S.L. bp and EUR currency
 Clic on View buttton to show the report and check no error is shown

(0099645)
hgbot (developer)
2017-09-28 11:13

Repository: erp/devel/pi
Changeset: 0a46c1fc9fd2e1baeae30d8f8074f12a9816ddb2
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Jul 24 18:23:53 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/0a46c1fc9fd2e1baeae30d8f8074f12a9816ddb2 [^]

Fixes issue 35923: Wrong Business Partner filter in Purchase order Report

Wrong Business Partner filter in Purchase order Report. It appears the customers
but it should only appear the vendors

The selector reference was change to 'C_BPartner Vendors no combo' wich already
filter the business partner by vendor

---
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
---
(0099646)
hgbot (developer)
2017-09-28 11:13

Repository: erp/devel/pi
Changeset: cef7dc214e6172c5efffd4a034f328833c7fb5b1
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Sep 28 10:53:50 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cef7dc214e6172c5efffd4a034f328833c7fb5b1 [^]

Related to issue 35923: Code review improvements

Add defined selector fields to "C_BPartner Vendors no combo" and "C_BPartner Customers no combo" references.

---
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
---
(0099648)
aferraz (developer)
2017-09-28 11:32

Code review + Testing OK
(0099697)
hudsonbot (developer)
2017-10-02 17:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/44a89970274a [^]
Maturity status: Test
(0099698)
hudsonbot (developer)
2017-10-02 17:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/44a89970274a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-05-04 10:18 VictorVillar New Issue
2017-05-04 10:18 VictorVillar Assigned To => Triage Finance
2017-05-04 10:18 VictorVillar Modules => Core
2017-05-04 10:18 VictorVillar Triggers an Emergency Pack => No
2017-05-04 10:50 ngarcia Issue Monitored: ngarcia
2017-05-04 11:01 ngarcia Priority urgent => high
2017-05-04 11:01 ngarcia Severity major => minor
2017-07-24 23:12 collazoandy4 Assigned To Triage Finance => collazoandy4
2017-07-24 23:13 collazoandy4 Status new => scheduled
2017-07-25 00:12 collazoandy4 Note Added: 0098205
2017-07-25 00:14 collazoandy4 Note Edited: 0098205 View Revisions
2017-09-28 11:13 hgbot Checkin
2017-09-28 11:13 hgbot Note Added: 0099645
2017-09-28 11:13 hgbot Status scheduled => resolved
2017-09-28 11:13 hgbot Resolution open => fixed
2017-09-28 11:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0a46c1fc9fd2e1baeae30d8f8074f12a9816ddb2 [^]
2017-09-28 11:13 hgbot Checkin
2017-09-28 11:13 hgbot Note Added: 0099646
2017-09-28 11:32 aferraz Review Assigned To => aferraz
2017-09-28 11:32 aferraz Note Added: 0099648
2017-09-28 11:32 aferraz Status resolved => closed
2017-09-28 11:32 aferraz Fixed in Version => 3.0PR17Q4
2017-10-02 17:58 hudsonbot Checkin
2017-10-02 17:58 hudsonbot Note Added: 0099697
2017-10-02 17:58 hudsonbot Checkin
2017-10-02 17:58 hudsonbot Note Added: 0099698


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker